millesima_client_demandeur_index:
    path:     /
    defaults: { _controller: MillesimaActionsBundle:ClientApplicant:index}

####################

millesima_client_demandeur_profile:
    path:     /profile
    defaults: { _controller: MillesimaActionsBundle:ClientApplicant:showProfile}

millesima_client_demandeur_profile_edit:
    path:     /profile/edit
    defaults: { _controller: MillesimaActionsBundle:ClientApplicant:editProfile}

millesima_client_demandeur_profile_coordonne_edit:
    path:     /profile/coordonne/edit
    defaults: { _controller: MillesimaActionsBundle:ClientApplicant:editCoordonne}

millesima_client_demandeur_profile_password_edit:
    path:     /profile/password/edit
    defaults: { _controller: MillesimaActionsBundle:ClientApplicant:editPassword}

####################

millesima_client_demandeur_user:
    path:     /user/ajout
    defaults: { _controller: MillesimaActionsBundle:ClientApplicant:newUser}

millesima_client_demandeur_user_list:
    path:     /user/list
    defaults: { _controller: MillesimaActionsBundle:ClientApplicant:listUser}

millesima_client_demandeur_user_edit:
    path:      /user/{salt}/edit
    defaults: { _controller: MillesimaActionsBundle:ClientApplicant:editUser}

millesima_client_demandeur_user_delete:
    path:      /user/{salt}/delete
    defaults: { _controller: MillesimaActionsBundle:ClientApplicant:deleteUser}

millesima_client_demandeur_user_affecter:
    path:      /user/{id}/affecter
    defaults: { _controller: MillesimaActionsBundle:ClientApplicant:affecterUser}

####################

millesima_client_demandeur_demande:
    path:     /demande/ajout
    defaults: { _controller: MillesimaActionsBundle:ClientApplicant:newDemande}

millesima_client_demandeur_demande_liste:
    path:     /liste/dossiers
    defaults: { _controller: MillesimaActionsBundle:ClientApplicant:listDemande}

millesima_client_demandeur_demande_liste_creees:
    path:     /liste/dossiers/crees
    defaults: { _controller: MillesimaActionsBundle:ClientApplicant:listDemandeCreee}

millesima_client_demandeur_demande_liste_encours:
    path:     /liste/dossiers/encours
    defaults: { _controller: MillesimaActionsBundle:ClientApplicant:listDemandeEnCours}

millesima_client_demandeur_demande_liste_confirmees:
    path:     /liste/dossiers/confirmes
    defaults: { _controller: MillesimaActionsBundle:ClientApplicant:listDemandeConfirmee}

millesima_client_demandeur_demande_liste_validees:
    path:     /liste/dossiers/valides
    defaults: { _controller: MillesimaActionsBundle:ClientApplicant:listDemandeValidee}

millesima_client_demandeur_demande_liste_cloturees:
    path:     /liste/dossiers/clotures
    defaults: { _controller: MillesimaActionsBundle:ClientApplicant:listDemandeCloturee}

millesima_client_demandeur_demande_edit:
    path:      /demande/{id}/edit
    defaults: { _controller: MillesimaActionsBundle:ClientApplicant:editDemande}

millesima_client_demandeur_demande_delete:
    path:      /demande/{id}/delete
    defaults: { _controller: MillesimaActionsBundle:ClientApplicant:deleteDemande}

millesima_client_demandeur_demande_annuler:
    path:     /demande/{idD}/annuler
    defaults: { _controller: MillesimaActionsBundle:ClientApplicant:dossierAnnuler}

#########Ajax requests###########

millesima_client_demandeur_ajax_get_by_region_and_type:
    path:     /demande/get_by_region_and_type/{idRegion}/{idType}/{idAccount}
    defaults: { _controller: MillesimaActionsBundle:ClientApplicant:getFournisseursByRegionAndType}
    options:
        expose: true

millesima_client_demandeur_ajax_get_by_region_and_type_for_edit:
    path:     /demande/get_by_region_and_type/{idRegion}/{idType}/{idAccount}/{idDemande}/edit
    defaults: { _controller: MillesimaActionsBundle:ClientApplicant:getFournisseursByRegionAndTypeEdit}
    options:
        expose: true

millesima_client_demandeur_ajax_get_by_region_and_type_for_show:
    path:     /demande/get_by_region_and_type/{idRegion}/{idType}/{idAccount}/{idDemande}/show
    defaults: { _controller: MillesimaActionsBundle:ClientApplicant:getFournisseursByRegionAndTypeEditShow}
    options:
        expose: true

millesima_client_demandeur_ajax_get_articles_by_fournisseur:
    path:     /demande/get_by_fournisseurs/{idFournisseur}
    defaults: { _controller: MillesimaActionsBundle:ClientApplicant:getArticlesByFournisseur}
    options:
        expose: true

millesima_client_demandeur_ajax_get_articles_by_fournisseur_for_edit:
    path:     /demande/get_by_fournisseurs/{idFournisseur}/{idDemande}/edit
    defaults: { _controller: MillesimaActionsBundle:ClientApplicant:getArticlesByFournisseurEdit}
    options:
        expose: true

millesima_client_demandeur_ajax_get_articles_by_fournisseur_for_show:
    path:     /demande/get_by_fournisseurs/{idFournisseur}/{idDemande}/show
    defaults: { _controller: MillesimaActionsBundle:ClientApplicant:getArticlesByFournisseurEditShow}
    options:
        expose: true

millesima_client_demandeur_ajax_get_comptes_facturation_by_account:
    path:     /demande/get_by_compte/{idAccount}
    defaults: { _controller: MillesimaActionsBundle:ClientApplicant:getCompteFacturationByCompte}
    options:
        expose: true

millesima_client_demandeur_ajax_get_comptes_facturation_by_account_for_edit:
    path:     /demande/get_by_compte/{idAccount}/{idDemande}
    defaults: { _controller: MillesimaActionsBundle:ClientApplicant:getCompteFacturationByCompteEdit}
    options:
        expose: true

millesima_client_demandeur_ajax_get_comptes_facturation_by_account_for_show:
    path:     /demande/get_by_compte/{idAccount}/{idDemande}/show
    defaults: { _controller: MillesimaActionsBundle:ClientApplicant:getCompteFacturationByCompteEditShow}
    options:
        expose: true

millesima_client_demandeur_ajax_get_client:
    path:     /demande/get_client
    defaults: { _controller: MillesimaActionsBundle:ClientApplicant:getClient}
    options:
        expose: true

millesima_client_demandeur_ajax_verfier_compatibilite_article:
    path:     /demande/article/verification/{articles}/{type}
    defaults: { _controller: MillesimaActionsBundle:ClientApplicant:getVerificationArticle}
    options:
        expose: true
